use serde::{Deserialize, Serialize};

#[derive(Debug, Serialize, Deserialize)]
pub struct DiscConfig {
    id: usize,
    disc: Vec<char>
}

#[derive(Debug, Serialize, Deserialize)]
pub struct Config {
    inner_disc: usize,
    outer_disc: usize,
    discs: Vec<DiscConfig>
}

impl Config {
    pub fn get_disc_from_id(&self, id: usize) -> Vec<char> {
        self.discs.iter().find(|d| d.id == id).unwrap().disc.clone()
    }

    pub fn get_inner_disc(&self) -> Vec<char> {
        self.get_disc_from_id(self.inner_disc)
    }

    pub fn get_outer_disc(&self) -> Vec<char> {
        self.get_disc_from_id(self.outer_disc)
    }
}